Subject: Re: bug#19877: 24.4; highlight-regexp displays nonsense options for faces

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Jan 2022 21:08:56 +0200

>> The documentation for `highlight-regexp' ( info:emacs#Highlight
>> Interactively]] ) says, "While being prompted for a face use ‘M-n’ and
>> ‘M-p’ to cycle through them." However, repeatedly keying ‘M-n’ will
>> toggle through the entries in `hi-lock-face-defaults' *twice*,
>
> This behaviour is still present in Emacs 29 (after Juri fixed it so that
> it works better again) -- the hi-lock defaults appear twice.
>
> I've now fixed this in Emacs 29.

I thought it was a feature. 😯  I don't use these duplicate faces, but
it seems someone intentionally created a copy at the end of the face list.
OTOH, we could wait until someone will protest this change.